> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Data Delete API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Used to delete data from a Data Table.

| Property          | Value                                                                                                                                                                                                                                                                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Method**        | DELETE                                                                                                                                                                                                                                                                                                                               |
| **Endpoint**      | `https://{{host}}/api/public/tables/{{tableName}}`                                                                                                                                                                                                                                                                                   |
| **Content Type**  | `application/json`                                                                                                                                                                                                                                                                                                                   |
| **Authorization** | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token).                                                                                                                                                                                                   |
| **App Access**    | Read and Delete access to the Data Table from the Data Definition in DaaS. For more information, see [app assignment for accessing the data in a table](/ai-for-service/administration/data/data-tables-and-views#data-tables) and [Data as a Service](/ai-for-service/administration/data/data-tables-and-views#data-as-a-service). |

## Path Parameters

| Parameter   | Description                                              |
| ----------- | -------------------------------------------------------- |
| `host`      | Environment URL, for example, `https://platform.kore.ai` |
| `tableName` | Name of the table to delete data from                    |

## Sample Request

```bash theme={null}
curl -X DELETE \
  https://{{host}}/api/public/tables/{{tableName}} \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -d '{
      "query":{
        "expressions": [
          {"field": "firstName", "operand": "=", "value": "Jane"},
          {"field": "lastName", "operand": "=", "value": "Doe"}
        ],
        "operator": "and"
      }
}'
```

## Body Parameters

| Parameter | Description                                                                                                                                                                                                                                                     |
| --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `query`   | Filter criteria identifying the row(s) to delete. Structure: `"query": { "expressions": [ {"field": "<col1_name>", "operand": "=/!=/</>"," value": "<value1>"}, {"field": "<col2_name>", "operand": "=/!=/</>"," value": "<value2>"} ], "operator": "and/or" }` |

## Sample Response

```json theme={null}
{
   "nDeleted": 1
}
```
